package com.primeton.data.dam.standalone.core.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import springfox.documentation.builders.RequestHandlerSelectors;
import springfox.documentation.spi.DocumentationType;
import springfox.documentation.spring.web.plugins.Docket;

@Configuration
public class StandaloneConfig {

	@Bean("STANDALONE-REST-GROUP")
	public Docket standaloneDocket() {
		return new Docket(DocumentationType.SWAGGER_2).groupName("standalone").select()
				.apis(RequestHandlerSelectors.basePackage("com.primeton.data.dam.standalone"))
				.build().enable(true);

	}

}